import { V as c, gL as m, bk as w, d, r as D, c as j, o as _, w as r, j as l, W as x, l as p, X as v, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as k } from "./Table-0PViRYCf.js";
import { b as T } from "./jobPlanDetails-5wu16ZE_.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./componentMap-CElCaWis.js";
import "./propTypes-CebMRUpe.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./useModal-CO65vga3.js";
import "./componentSetting-DVhNDBTO.js";
import "./useTimeout-BxFilWvD.js";
import "./usePageCache-DluHn7Yy.js";
import "./tabsView-BXskTdVh.js";
import "./Flex-CTSf12gq.js";
let M;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    let f, h, t, H;
    f = w();
    h = await m("job_plan_extension_status");
    ({ t } = c());
    H = [
        {
            title: "No.",
            key: "num",
            width: 60,
            render: (o, e)=>e + 1
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.jobTitle"),
            key: "jobTitle",
            width: 180
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.originalDueDate"),
            key: "originalDueDate",
            width: 140
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.newDueDate"),
            key: "newDueDate",
            width: 140
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.originalDueRHrs"),
            key: "originalDueRHrs",
            width: 140
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.newDueRHrs"),
            key: "newDueRHrs",
            width: 140
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.extensionReason"),
            key: "extensionReason",
            width: 170
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.applyStatus"),
            key: "applyStatus",
            width: 100,
            render: (o)=>{
                const e = h.find((a)=>+a.value === o.applyStatus);
                return e ? f.getLocale === "en" ? e.labelEn : e.label : o.applyStatus;
            }
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.approvalComments"),
            key: "approvalComments",
            width: 140
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.applyBy"),
            key: "applyByName",
            width: 100
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.applyDate"),
            key: "applyDate",
            width: 110
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.approveBy"),
            key: "approveByName",
            width: 100
        },
        {
            title: t("jobPlan.viewDetails.jobExtensionHistoryTab.approveDate"),
            key: "approvedDate",
            width: 110
        }
    ];
    M = d({
        __name: "index",
        props: {
            data: {}
        },
        setup (o) {
            const e = o, a = D();
            async function b(s) {
                try {
                    return await T({
                        ...e.data,
                        ...s
                    });
                } catch (i) {
                    return console.error("加载表格数据失败:", i), {
                        list: [],
                        total: 0
                    };
                }
            }
            return (s, i)=>{
                const u = x, y = v;
                return _(), j(y, null, {
                    default: r(()=>[
                            l(u, {
                                bordered: !1,
                                class: "proCard mt-2"
                            }, {
                                default: r(()=>[
                                        l(p(k), {
                                            ref_key: "basicTableRef",
                                            ref: a,
                                            columns: p(H),
                                            request: (n)=>b(n),
                                            "row-key": (n)=>n.id,
                                            autoScrollX: !0,
                                            showTableSetting: !1,
                                            "virtual-scroll": ""
                                        }, null, 8, [
                                            "columns",
                                            "request",
                                            "row-key"
                                        ])
                                    ]),
                                _: 1
                            })
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { M as default, __tla };
